%bcond_with optional_tests

Summary:        Utility functions for checking references
Name:           perl-Ref-Util
Version:        0.204
Release:        7%{?dist}
License:        MIT
URL:            https://metacpan.org/release/Ref-Util
Source0:        https://cpan.metacpan.org/authors/id/A/AR/ARC/Ref-Util-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  make gcc coreutils findutils
BuildRequires:  perl-generators perl-interpreter perl(lib) perl(ExtUtils::MakeMaker) 
BuildRequires:  perl(Text::ParseWords) perl-devel perl(base) perl(Config) perl(DynaLoader)
BuildRequires:  perl(File::Basename) perl(File::Spec::Functions) perl(File::Temp)
BuildRequires:  perl(Carp) perl(constant) perl(Exporter) >= 5.57
BuildRequires:  perl(strict) perl(warnings) perl(Scalar::Util)
BuildRequires:  perl(File::Find) perl(File::Spec) perl(IPC::Open2)
BuildRequires:  perl(Test::More) >= 0.96 perl(Ref::Util::XS)
%if %{with optional_tests}
BuildRequires:  perl(B::Concise) perl(Readonly)
BuildRequires:  perl(CPAN::Meta) >= 2.120900
%endif

Requires:       perl(Ref::Util::XS)


%description
This module provides a faster and smarter way to identify references by introducing 
several functions.


%prep
%autosetup -n Ref-Util-%{version}


%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build


%install
%make_install
%{_fixperms} -c %{buildroot}


%check
make test


%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/Ref/
%{_mandir}/man3/Ref::Util.3*
%{_mandir}/man3/Ref::Util::PP.3*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.204-7
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.204-6
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 17 2023 Xiaojie Chen <jackxjchen@tencent.com> - 0.204-5
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.204-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.204-3
- Rebuilt for OpenCloudOS Stream 23

* Thu Feb 16 2023 rockerzhu <rockerzhu@tencent.com> - 0.204-2
- Move some buildrequires to optional tests

* Mon Aug 15 2022 Wang Guodong <gordonwwang@tencent.com> - 0.204-1
- package init.
